ONLYOFFICE Docs v6.4 with conditional formatting, new scaling options, and WOPI protocol support
ONLYOFFICE Docs v6.4 released

Warning message about not being able to save the changes

Report a bug
Every now and then, a warning message appears:

An error occurred while saving the file. Please use the ‘Download as’ option to save the file to your computer hard drive or try again later.

I’m using Nextcloud’s connector. These warning messages are very annoying. I’ve noticed no data loss. The messages started to appear some time ago. Previously, the system worked fine.
Document Server version: 6.4
Type of installation of the Document Server (deb)
OS:

$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 20.04.3 LTS
Release:	20.04
Codename:	focal

Browser version: 93.0.4577.82 (Official Build) (64-bit)

Hello,
Please specify the following:

  1. Does the issue occur with some specific file or with all files?
  2. Does the issue occur after some specific action in the file?
  3. Is the option ‘keep intermediate versions’ activated in your connector settings? If yes, does the error appear after you click the Save button?
  4. Please attach /var/log/onlyoffice/documentserver/converter/out.log and …/docservice/out.log
  1. With all files.
  2. No.
  3. There’s no such option available.
  4. How can I attach these log files? This editor doesn’t seem to support uploading files. So I link them: logs.

Please specify the versions of Nextcloud and ONLYOFFICE connector app you are using.
Also please go to the Logging app in Nextcloud and try to find records for the following timestamps or document IDs:
[2021-09-19T19:32:48.072], document ID 400667711
[2021-09-19T12:50:49.127], document ID 1054974447
[2021-09-18T01:35:40.542], document ID 3221298048

Nextcloud: * 21.0.4*

I have no idea how to specify the version of ONLYOFFICE connector app I’m using. There seems to be no version info.

I’ve added the full nextcloud.log.1 into the same folder.

Go to Nextcloud => Apps => find ONLYOFFICE in the list and there you will see the version.

I did exactly as you instructed and found the info about the version: 2.1.2

Could you please attach a screenshot of the app list where ONLYOFFICE version can be seen?

If the connector version you are using is indeed 2.1.2, it is extremely old and incompatible with Nextcloud 21:
https://apps.nextcloud.com/apps/onlyoffice/releases?platform=21#21

Please install the current connector version 7.1.2 and after that try to reproduce the issue.


Every time I’ve upgraded Nextcloud, there has been a message that ONLYOFFICE weren’t upgraded as it was incompatible with Nextcloud. I’m not sure how can I update the connector by force.

The text I just got during the update was:

Nextcloud will be updated to version 22.1.1

The following apps will be updated:

  • Activity (activity)
  • WebDAV (dav)
  • External storage support (files_external)
  • PDF viewer (files_pdfviewer)
  • Right click (files_rightclick)
  • File sharing (files_sharing)
  • Video player (files_videoplayer)
  • First run wizard (firstrunwizard)
  • Log Reader (logreader)
  • Nextcloud announcements (nextcloud_announcements)
  • Notifications (notifications)
  • Password policy (password_policy)
  • Photos (photos)
  • Privacy (privacy)
  • Recommendations (recommendations)
  • Monitoring (serverinfo)
  • Support (support)
  • Usage survey (survey_client)
  • Text (text)
  • Two factor backup codes (twofactor_backupcodes)
  • Viewer (viewer)
  • Nextcloud workflow engine (workflowengine)

Need mitteühilduvad rakendused lülitatakse välja:

  • Deck (deck)
  • Eml Viewer (emlviewer)
  • Plain text editor (files_texteditor)
  • GpxMotion (gpxmotion)
  • ONLYOFFICE (onlyoffice)
  • Scanner (scanner)
  • Weather (weather)
  • Wopi (wopi)

Enne jätkamist veendu, et andmebaas, seadete ning andmete kataloog on varundatud.

After the upgrade:

The following apps have been disabled: deck (pole ühilduv), emlviewer (pole ühilduv), files_texteditor (pole ühilduv), gpxmotion (pole ühilduv), onlyoffice (pole ühilduv), scanner (pole ühilduv), weather (pole ühilduv), wopi (pole ühilduv)

If the update button is not available for ONLYOFFICE app, you can update the connector manually:
https://api.onlyoffice.com/editors/nextcloud#install